unit SampleU;

interface

uses
  Windows, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Messages, mwKeyProcessor;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    KeyProc: TmwKeyProcessor;
  public
  published
    procedure AltF3;
    procedure AltGrF3;
    procedure AltShiftA;
    procedure Author;
    procedure F3;
    procedure HelloWorld;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  KeyProc:= TmwKeyProcessor.Create(Self);
  KeyProc.LoadFromFile('Sample.kct');

{ KeyProc.AddKey(AltF3, '*Menu*F3');
  KeyProc.AddKey(AltGrF3, '*Control*Menu*F3');
  KeyProc.AddKey(AltShiftA, '*Menu*Shift*a');
  KeyProc.AddKey(Author, '*Menu*A*u*t*h*o*r');
  KeyProc.AddKey(HelloWorld, '*Control*H*e*l*l*o*W*o*r*l*d');
  KeyProc.AddKey(F3, '*F3'); }
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  KeyProc.Free;
end;

procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  KeyProc.KeyDown(Key, Shift);
end;

procedure TForm1.FormKeyPress(Sender: TObject; var Key: Char);
begin
  KeyProc.KeyPress(Key);
end;

procedure TForm1.FormKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  KeyProc.KeyUp(Key, Shift);
end;

procedure TForm1.Author;
begin
  ShowMessage('Author: Martin Waldenburg');
end;

procedure TForm1.F3;
begin
  ShowMessage('<F3> pressed');
end;

procedure TForm1.HelloWorld;
begin
  ShowMessage('Hello World');
end;

procedure TForm1.AltF3;
begin
  ShowMessage('<Alt> + <F3> pressed');
end;

procedure TForm1.AltGrF3;
begin
  ShowMessage('<Alt Gr> + <F3> pressed');
end;

procedure TForm1.AltShiftA;
begin
  ShowMessage('<Alt> + <Shift> + <A> pressed');
end;

end.
